<!DOCTYPE html>
<html dir="rtl">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link href="libs/bootstrap/css/bootstrap.min.css" rel="stylesheet">
  <link rel="stylesheet" href="style.css">
  <title>اطلاعات آنلاین</title>
</head>

<body>
  <?php include 'layouts/navbar.php'; ?>
  <br><br><br>
  <div class="container">
    <?php
    $cip = $_SERVER['REMOTE_ADDR'];
    
    $showccode = json_decode(file_get_contents("http://ip-api.com/json/$cip?fields=status,message,countryCode"));
    
    // country code
    $ccode = $showccode->countryCode;
    
    echo "<img src='https://countryflagsapi.com/svg/$ccode' class='img-fluid myimg'>";
    ?>
    <br>
    <br>
<?php
// get ip
$ip = $_SERVER['REMOTE_ADDR'];

// get browser
$browser = $_SERVER['HTTP_USER_AGENT'];

// get api
$details = json_decode(file_get_contents("http://ip-api.com/json/$ip?fields=status,message,continent,continentCode,country,countryCode,region,regionName,city,district,zip,lat,lon,timezone,offset,currency,isp,org,as,asname,reverse,mobile,proxy,hosting,query"));

// get api v2
$d_v2 = json_decode(file_get_contents("http://ipinfo.io/{$ip}/json"));

// get time
date_default_timezone_set($details->timezone);

// show details
echo "<h3>آیپی شما</h3>";
echo "<h3>$ip</h3>";

echo "<br><h3>شبکه اینترنت</h3>";
echo "<h3>" . $details->isp . "</h3>";

echo "<br><h3>قاره</h3>";
echo "<h3>" . $details->continent . "</h3>";

echo "<br><h3>کد قاره</h3>";
echo "<h3>" . $details->continentCode . "</h3>";

echo "<br><h3>کشور</h3>";
echo "<h3>" . $details->country . "</h3>";

echo "<br><h3>کد کشور</h3>";
echo "<h3>" . $details->countryCode . "</h3>";

echo "<br><h3>نام استان</h3>";
echo "<h3>" . $d_v2->region . "</h3>";

echo "<br><h3>نام شهر</h3>";
echo "<h3>" . $d_v2->city . "</h3>";

echo "<br><h3>منطقه زمانی</h3>";
echo "<h3>" . $details->timezone . "</h3>";

echo "<br><h3>کد پستی</h3>";
echo "<h3>" . $details->zip . "</h3>";

echo "<br><h3>عرض جغرافیایی</h3>";
echo "<h3 dir='ltr'>" . $details->lat . "</h3>";

echo "<br><h3>طول جغرافیایی</h3>";
echo "<h3 dir='ltr'>" . $details->lon . "</h3>";

echo "<br><h3>اختلاف منطقه زمانی</h3>";
echo "<h3 dir='ltr'>" . $details->offset . "</h3>";

echo "<br><h3>واحد پول ملی</h3>";
echo "<h3>" . $details->currency . "</h3>";

echo "<br><h3>سازمان</h3>";
echo "<h3>" . $details->org . "</h3>";

echo "<br><h3>نام شبکه</h3>";
echo "<h3>" . $details->asname . "</h3>";

echo "<br><h3>نام هاست</h3>";
echo "<h3 dir='rtl'>" . $details->reverse . "</h3>";
echo "<span style='padding-top: 5px; color:#ff0000;'>اگر چیزی نمایش نداد یعنی هاست نیست</span>";

echo "<br><br><h3>موبایل است؟";
echo "<h3>" . $details->mobile . "</h3>";
echo "<span style='padding-top: 5px; color:#ff0000;'>عدد 1 یعنی بله و اگر هیچ چیز نمایش نداد یعنی خیر</span>";

echo "<br><br><h3>پراکسی یا VPN دارد؟</h3>";
echo "<h3>" . $details->proxy . "</h3>";
echo "<span style='padding-top: 5px; color:#ff0000;'>عدد 1 یعنی بله و اگر هیچ چیز نمایش نداد یعنی خیر</span>";

echo "<br><br><h3>هاست است؟</h3>";
echo "<h3>" . $details->hosting . "</h3>";
echo "<span style='padding-top: 5px; color:#ff0000;'>عدد 1 یعنی بله و اگر هیچ چیز نمایش نداد یعنی خیر</span>";

echo "<br><br><h3>اطلاعات دستگاه</h3>";
echo "<h3 dir='ltr'>$browser</h3>";

// show time
$time = date('G:i:s');
echo "<br><h3>ساعت در منطقه</h3>";
echo "<h3>$time</h3>";

?>
</div>
<br>


<?php include 'layouts/footer.php'; ?>
<script src="libs/bootstrap/js/bootstrap.bundle.min.js"></script>
</body>

</html>
